## class osgParticle::AccelOperator

> An operator class that applies a constant acceleration to the particles

## Inheritance:

### Public Methods

META_Object(osgParticle, AccelOperator)
inline AccelOperator()
inline AccelOperator(const AccelOperator &copy, const osg::CopyOp &copyop)
inline const osg::Vec3& getAcceleration() const
  Get the acceleration vector
inline void setAcceleration(const osg::Vec3 &v)
  Set the acceleration vector
inline void setToGravity(float scale)
  Quickly set the acceleration vector to the gravity on earth (0, 0, -981).
inline void operate(Particle* P, double dt)
  Apply the acceleration to a particle.
inline void beginOperate(Program* prg)
  Perform some initializations.

### Protected Methods

virtual ~AccelOperator()
AccelOperator& operator=(const AccelOperator &)

### Inherited from Operator:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual void endOperate()
inline bool isEnabled() const
inline void setEnabled(bool v)

## Documentation

> An operator class that applies a constant acceleration to the particles

`META_Object(osgParticle, AccelOperator)`

`virtual ~AccelOperator()`

`AccelOperator& operator=(const AccelOperator &)`

`inline AccelOperator()`

`inline AccelOperator(const AccelOperator &copy, const osg::CopyOp &copyop)`

`inline const osg::Vec3& getAcceleration() const`
  Get the acceleration vector

`inline void setAcceleration(const osg::Vec3 &v)`
  Set the acceleration vector

`inline void setToGravity(float scale)`
  Quickly set the acceleration vector to the gravity on earth (0, 0, -981). The acceleration will be multiplied by the `scale` parameter.

`inline void operate(Particle* P, double dt)`
  Apply the acceleration to a particle. Do not call this method manually.

`inline void beginOperate(Program* prg)`
  Perform some initializations. Do not call this method manually.

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.